\section{PyWPS}
\label{sec:pywps}

"PyWPS (Python Web Processing Service) is implementation of Web Processing 
Service standard from Open Geospatial Consortium.

It has been started on Mai 2006 as project supported by DBU. It offers 
environment for programming own process (geofunctions or models) which can 
be accessed from the public. The main advantage of PyWPS is, that it has 
been written with native support for GRASS. Access GRASS modules via web 
interace should be as easy as possible.

PyWPS is written in Python programming language, your processes must use this language too."\cite{pywps}

\subsection{How it works}
After downloading and compiling the source (there are some prerequisite 
packages: python, python-xml, python-htmltmpl) you need to setup the 
environment of your machine.

The configuration is pywps.cfg and must be located in /etc/.
Here is an example of my configuration.
Section wps define the properties of PyWPS. Here the most important 
parameter is serveraddress that store the address of the cgi-bin process

[wps]

encoding=utf-8

title=PyWPS Development Server

version=1.0.0

abstract=Development version of PyWPS. See http://pywps.wald.intevation.org

fees=None

constraints=none

serveraddress=http://localhost/cgi-bin/wps

keywords=GRASS,GIS,WPS

lang=eng,ger,ita

Section provider define some information about the provider of the service. 
It is not really relevant for our purpose. We show this section only for 
completeness.

[provider]

providerName=University of Trento

individualName=N. M.

positionName=Student

role=Student

deliveryPoint=Street

city=City

postalCode=000 00

country=eu

electronicMailAddress=login@server.org

providerSite=http://foo.bar

phoneVoice=False

phoneFacsimile=False

administrativeArea=False

[server]

maxoperations=3

maxinputparamlength=1024

maxfilesize=3mb

tempPath=/tmp

processesPath=

outputUrl=http:/\/localhost/wps/wpsoutputs

outputPath=/var/www/wps/wpsoutputs

debug=true

processesPath=/home/nico/project/web/trunk/doc/examples/processes

[grass]

path=/usr/lib/grass/bin/:/usr/lib/grass/scripts/

addonPath=

version=6.2.1

gui=text

gisbase=/usr/lib/grass/

ldLibraryPath=/usr/lib/grass/lib

gisdbase=/home/nico/grass

home=/var/www/

\subsection{Pywps in Alpinway}


